summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Schmidt2015-06-17 00:28:14 +0200
committerAlexander Schmidt2015-06-17 00:28:14 +0200
commit99cebe34bd7898ff702de68d04ccd6fe5bc3b3de (patch)
treebf33d5fd2b2f5a47e3cbdcf07562e9cc63fa804d
downloadaur-usetaglib-git.tar.gz
initial import
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD30
2 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9923fa4b098
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = usetaglib-git
+ pkgdesc = Command line utility to read and edit meta-data of audio formats supported by taglib.
+ pkgver = r18.d2fdf4b
+ pkgrel = 2
+ url = http://git.treefish.org/~alex/usetaglib.git
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = ca-certificates-cacert
+ depends = taglib>=1.9.1
+ source = usetaglib-git::git+https://git.treefish.org/~alex/usetaglib.git
+ md5sums = SKIP
+
+pkgname = usetaglib-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..35a78e0ccd9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Alexander Schmidt <alex@treefish.org>
+
+pkgname=usetaglib-git
+pkgver=r18.d2fdf4b
+pkgrel=2
+pkgdesc="Command line utility to read and edit meta-data of audio formats supported by taglib."
+arch=('i686' 'x86_64')
+url="http://git.treefish.org/~alex/usetaglib.git"
+license=('GPL3')
+source=('usetaglib-git::git+https://git.treefish.org/~alex/usetaglib.git')
+depends=('taglib>=1.9.1')
+makedepends=('git' 'ca-certificates-cacert')
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd $srcdir/$pkgname
+ make
+}
+
+package() {
+ install -Dm755 -t ${pkgdir}/usr/bin $srcdir/$pkgname/usetaglib
+}